Subject: BBS-development Team wanted
From: [email-masked]
Date: Wed, 18 May 1994 16:40:30 GMT
Newsgroups: comp.os.linux.announce

Hi,
like me many people think that there still is no good bbs-program for Linux.
There is ix/mbox, a good program, but it has a geonet interface and I 
personally don't like it. There is also Uniboard, but there is no source-
code available and so I won't install it. There are other bbs'es, but none of
them is as powerful and comfortable as the known dos and os/2 bbs'es
(My personal opinion). 

Like many people before I have also started to write my own bbs, but a)
I don't have too much time and b) I think we should agree on a standard
before so that other people will be able to develop additional tools like
statistic-programmes, user-editors,menu-editors,filelist-generators and so on.

I have waited for a good bbs for 5 years now and I realized: There won't be
a good bbs if we don't write one. So I am looking for people who are
willing to help defining and writing one.

I also think that a good bbs could be a real killer-application for linux,
because a free os with free networking and a free bbs would beat every other
OS easily.

So, lets start with a few questions:

Should we support Mail & News with internal (hard work) or external (easy,
but lots of different User Interfaces) Programs.

What programming language do we choose (C(++),Perl,tcl,foo,bar,etc) ?

Should every user have a unix-account or shall we use one "bbs" account or
both ?

How do we realize that the sysop can watch/aid bbs-users screens ? How do
we map different Terminal-Types then ?

Should we "copy" the good features of bbs'es like Remote Access or should
we start with a complete new approach ?

I think, if some of us work together and one writes the menu-stuff, the other
the file up/download stuff and the third one a user-database we could have
a working version quite soon. If we have something working, I think there
will be more and more people writing good tools.

So,let's start doing it !

Ciao
  Christoph

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.